git-annex-post-receive(1)

NAME
git-annex-post-receive - run by git post-receive hook

SYNOPSIS
git annex post-receive

DESCRIPTION
This is meant to be called from git's post-receive hook. git annex init automatically creates a post-receive hook using this.

When a repository is configured with receive.denyCurrentBranch=updateInstead, pushes to the repository update its work tree. However, that does not work for repositories that use direct mode or have an adjusted branch checked out. The hook updates the work tree when run in such a repository, the same as running git-annex merge would.

SEE ALSO
git-annex(1)

git-annex-direct(1)

git-annex-adjust(1)

git-annex-merge(1)

AUTHOR
Joey Hess <id@joeyh.name>